
From: Jeff Dike <jdike@addtoit.com>

Simple corrections to some error messages, which list wrong limits for UBD
devices and such.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/drivers/line.c     |    2 +-
 25-akpm/arch/um/drivers/ubd_kern.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/um/drivers/line.c~uml-fix-fencepost-errors-in-printks arch/um/drivers/line.c
--- 25/arch/um/drivers/line.c~uml-fix-fencepost-errors-in-printks	2004-09-23 00:08:12.910113328 -0700
+++ 25-akpm/arch/um/drivers/line.c	2004-09-23 00:08:12.915112568 -0700
@@ -332,7 +332,7 @@ int line_setup(struct line *lines, int n
 	init++;
 	if((n >= 0) && (n >= num)){
 		printk("line_setup - %d out of range ((0 ... %d) allowed)\n",
-		       n, num);
+		       n, num - 1);
 		return(0);
 	}
 	else if(n >= 0){
diff -puN arch/um/drivers/ubd_kern.c~uml-fix-fencepost-errors-in-printks arch/um/drivers/ubd_kern.c
--- 25/arch/um/drivers/ubd_kern.c~uml-fix-fencepost-errors-in-printks	2004-09-23 00:08:12.911113176 -0700
+++ 25-akpm/arch/um/drivers/ubd_kern.c	2004-09-23 00:08:12.917112264 -0700
@@ -299,7 +299,7 @@ static int ubd_setup_common(char *str, i
 	}
 	if(n >= MAX_DEV){
 		printk(KERN_ERR "ubd_setup : index %d out of range "
-		       "(%d devices)\n", n, MAX_DEV);
+		       "(%d devices, from 0 to %d)\n", n, MAX_DEV, MAX_DEV - 1);
 		return(1);
 	}
 
_
